<!-- Based on fast/table/border-collapsing/cached-change-table-border-color.html -->
<!--
Calculating collapsed borders for big tables is expensive, so we cache them and recalculate when needed.
Here we change table border color, expect that cache is invalidated and paint produces expected image.
-->
<html>
    <head>
        <title></title>
        <link rel="stylesheet" href="../../../fast/table/border-collapsing/resources/cached.css">
        <script src="resources/paint-invalidation-test.js"></script>
        <script type="text/javascript">
            window.expectedPaintInvalidationObjects = [
                "LayoutTableCell TD",
                "LayoutTable TABLE id='tbl'",
            ];
            function paintInvalidationTest() {
                document.getElementById("tbl").style.borderColor = "yellow";
            }
        </script>
    </head>
    <body onload="runPaintInvalidationTest()">
        <table style="border-collapse:collapse; border:4px solid blue" id="tbl">
            <tr>
                <td style="border:2px solid lime"/>
            </tr>
        </table>
    </body>
</html>

